### Method

# Shell AppSystem get_running

#### Declaration [src]

    GSList*
    shell_app_system_get_running (
      ShellAppSystem* self
    )

#### Description [src]

Returns the set of applications which currently have at least one open window. The returned list will be sorted by shell_app_compare().

#### Return value

Type: A list of `ShellApp*`

Active applications.

The caller of the method takes ownership of the returned data container, but not the data inside it.